\chapter{Approach}
A general description of the hardware benchmark and its requirements is provided in this chapter. The implementation as used during the benchmark can be found in chapter \ref{ch:implementation}. The following points needed to be defined: %Todo 
\begin{enumerate}
    \item Hardware configurations
    \item Software configurations
    \item Benchmark protocol
\end{enumerate}

\section{Software, Hardware}
As the measurements have to be categorized according to hardware configurations, said configurations have to be specified, containing a list of used components and sensors. The exact list can be found in the appendix \ref{ap:sec:hw_def}. To a certain degree we have to rely on what's in the box.
\\
To keep the benchmark protocol reproducible it was crucial to fix all used software to a specific version. Installing said specific software should be as simple as possible.
\\
Nonetheless the benchmark has to work with other, not-standardized hard- and software but should not affect the overall score for a certain configuration.
\\
Benchmarking performance of hardware completely independent of the software is impossible. Thus, the benchmark will contain some elements closely related to software. Nonetheless, \textit{the evaluation} will focus on the performance of different hardware releases.

\section{Benchmark and Scoring}
In the first place conducting the benchmark should be easy, fast and not need any special equipment. Ideally a single command has to be entered and in the end a score is delivered. It has to be assumed that the Duckiebot has been correctly assembled and flashed as well as it is reachable via ssh. At least 8 Tiles are assembled to a loop, good illumination plus possibly a running localization system are the minimal requirements. 
\\
Based on the measurements the performance has to be scored automatically. Calculating said benchmark score has to be done in a flexible manner in order to adjust the score for all benchmarks if one want to emphasize one specific metric more than the default. The score needs to take stability of the measurements as well as punish "{}bad"{} outliers more. E.g. if a program has an upwards spike in its RAM usage this outlier has to be punished more than a downwards spike. 
\\
